Freeciv-3.2: /fast/freeciv/nightly/S3_2/ai/tex/texaicity.h File Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Data Structures | Functions
texaicity.h File Reference
`#include "daicity.h"`

Go to the source code of this file.

## Data Structures

struct | texai_city

## Functions

void | texai_city_alloc (struct ai_type *ait, struct city *pcity)
void | texai_city_free (struct ai_type *ait, struct city *pcity)
void | texai_city_worker_requests_create (struct ai_type *ait, struct player *pplayer, struct city *pcity)
void | texai_city_worker_wants (struct ai_type *ait, struct player *pplayer, struct city *pcity)
void | texai_req_worker_task_rcv (struct texai_req *req)
static struct texai_city * | texai_city_data (struct ai_type *ait, const struct city *pcity)

## Function Documentation

## ◆ texai_city_alloc()

void texai_city_alloc | ( | struct ai_type * | ait,
|  | struct city * | pcity
| ) |  |

Initialize city for use with tex AI.

Definition at line 564 of file texaicity.c.

Referenced by texwai_city_alloc().

## ◆ texai_city_data()

static struct texai_city * texai_city_data | ( | struct ai_type * | ait,
|  | const struct city * | pcity
| ) |  |

inlinestatic

Definition at line 37 of file texaicity.h.

Referenced by texai_city_free(), texai_city_worker_task_select(), and texai_city_worker_wants().

## ◆ texai_city_free()

void texai_city_free | ( | struct ai_type * | ait,
|  | struct city * | pcity
| ) |  |

Free city from use with tex AI.

Definition at line 577 of file texaicity.c.

Referenced by texwai_city_free().

## ◆ texai_city_worker_requests_create()

void texai_city_worker_requests_create | ( | struct ai_type * | ait,
|  | struct player * | pplayer,
|  | struct city * | pcity
| ) |  |

Create worker request for the city. Only tasks that existing units can do are created.

Definition at line 72 of file texaicity.c.

Referenced by texai_check_messages().

## ◆ texai_city_worker_wants()

void texai_city_worker_wants | ( | struct ai_type * | ait,
|  | struct player * | pplayer,
|  | struct city * | pcity
| ) |  |

Set wants for worker-type units.

Definition at line 93 of file texaicity.c.

Referenced by texai_check_messages().

## ◆ texai_req_worker_task_rcv()

void texai_req_worker_task_rcv | ( | struct texai_req * | req | ) |

Receive message from thread to main thread.

Definition at line 530 of file texaicity.c.

Referenced by texai_refresh().